# Jooq (SQL) Table

## Manager Parameters

| Parameter         | Definition                                                                                                                                                               | Example            | Default            |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------ | ------------------ |
| system            | Name of the [system ](/devops/microservices/building-blocks/systems-integrations.md#jdbc)which defines remote service details (dbms, uri, connectionPropertiesmergeInto) | {dbms:"ORACLE"}    | -                  |
| maxColumnNameSize | Max number of characters allowed for column names                                                                                                                        | 255                | 100                |
| rootName          | Root table name                                                                                                                                                          | product            | State manager name |
| journalTable      | Table for storing change journal records                                                                                                                                 | product\_journal   | -                  |
| schema.state      | State manager keeping json schemas                                                                                                                                       | schema             | -                  |
| schema            | Json string representing data schema (if schema. state is not used)                                                                                                      | {id:{type:string}} | -                  |

This state manager supports [CallSP](broken://pages/0a3jLM4TdCuK7kEQqgi2) action of write event handler, where command is the parameterized command to apply and the inputs are passed as parameters to this command.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rierino.com/devops/microservices/building-blocks/data-sources/shared-states/jooq-sql-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
